System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.HtmlControls.HtmlInputControl System.Web.UI.IPostBackDataHandler System.Web.UI.SupportsEventValidation System.ComponentModel.DefaultEvent("ServerChange")

Use the control to allow the user to select a true or false state. To determine whether the control is selected, use the property. The control provides a event that is raised when the property changes values between posts to the server. This allows you to create an event handler that performs a custom set of instructions each time the event is raised.

The control does not post back to the server when it is clicked. You must provide another control on the Web page that supports posting to the server, such as an control, to send the state of the control back to the server.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type= checkbox> element on the server.

- Constructor

  Use this constructor to create and initialize a new instance of the class.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  TagName

  The "checkbox" literal string.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Use this property to determine whether the control is selected. This property can also be used to programmatically set the state of the control.

  Gets or sets a value indicating whether the is selected.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.Web.UI.MinimizableAttributeTypeConverter))
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue("")
- Method
  2.0.0.0
  System.Boolean `` ``

  This method is primarily of interest to custom control developers extending the functionality of the control.

  Processes the postback data for the control.

  true if the control's state has changed as a result of the postback event; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  System.Void ``

  The method overrides the base method. is used primarily by control developers.

  Raises the event and registers the control as one that requires postback handling.

  An that contains event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This event is raised when the Web page is submitted to the server and the control changes state from the previous post. This method allows you to override the base implementation and provide a custom handler for the event.

  The control must have view state enabled for the event to work correctly.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event. This method allows you to handle the event directly.

  A that contains event information. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  This method is used primarily by control developers extending the functionality of the control.

  Calls the method to signal the control that the state of the control has changed.

- Method
  2.0.0.0
  System.Void `` To be added.

  Renders the control's attributes to the specified instance.

  The instance that contains the output stream to render on the client.
- Event
  System.EventHandler

  This event is raised when the Web page is submitted to the server and the control changes state from the previous post.

  The control must have view state enabled for the event to work correctly.

  For more information about handling events, see Consuming Events.

  Occurs when the Web page is submitted to the server and the control changes state from the previous post.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` To be added.

  Implements the method by calling the method.

  true if the control's state has changed as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Implements the method by calling the method.